/*
 * JPA entity Metadaten
 *
 */
package de.ivu.elect.business.anschrift.entity;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.anschrift.entity.AnschriftConstants;
import de.ivu.elect.jee.faces.Messages;

@Named(AnschriftMeta.COMPONENT_NAME)
@javax.enterprise.context.ApplicationScoped // ELECT-7845
public class AnschriftMeta implements de.ivu.elect.jee.entity.Meta
{

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "anschriftMeta";

  @Inject
  private transient Messages messages;

  public AnschriftMeta() {
      super();
  }

  protected String getMessage(String msgKey, Object... params) {
    return messages.getMessageForMessageKey(msgKey, params);
  }

  @Override
  public String getEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ENTITY_EINZAHL;
  }

  @Override
  public  String getMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ENTITY_MEHRZAHL;
  }


  @Override
  public String getEinzahlMessage() {
    return getMessage(getEinzahlMessageKey());
  }

  @Override
  public String getMehrzahlMessage(){
    return getMessage(getMehrzahlMessageKey());
  }



  public String getAnschriftArtEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ANSCHRIFT_ART_EINZAHL;
  }

  public String getAnschriftArtMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ANSCHRIFT_ART_MEHRZAHL;
  }


  public String getAnschriftArtEinzahlMessage(){
    return getMessage(getAnschriftArtEinzahlMessageKey());
  }

  public String getAnschriftArtMehrzahlMessage(){
    return getMessage(getAnschriftArtMehrzahlMessageKey());
  }



  public boolean isAnschriftArtRequired() {
    return !AnschriftConstants.ANSCHRIFT_ART_NULLABLE;
  }

  public de.ivu.elect.business.anschrift.entity.AnschriftArt getAnschriftArtDefaultValue() {
    return AnschriftConstants.ANSCHRIFT_ART_DEFAULT_VALUE;
  }


  public String getBundeslandEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_BUNDESLAND_EINZAHL;
  }

  public String getBundeslandMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_BUNDESLAND_MEHRZAHL;
  }


  public String getBundeslandEinzahlMessage(){
    return getMessage(getBundeslandEinzahlMessageKey());
  }

  public String getBundeslandMehrzahlMessage(){
    return getMessage(getBundeslandMehrzahlMessageKey());
  }



  public boolean isBundeslandRequired() {
    return !AnschriftConstants.BUNDESLAND_NULLABLE;
  }

  public java.lang.String getBundeslandDefaultValue() {
    return AnschriftConstants.BUNDESLAND_DEFAULT_VALUE;
  }

  public int getBundeslandMaxLength() {
    return AnschriftConstants.BUNDESLAND_MAX_LENGTH;
  }

  public String getHausnummerEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_HAUSNUMMER_EINZAHL;
  }

  public String getHausnummerMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_HAUSNUMMER_MEHRZAHL;
  }


  public String getHausnummerEinzahlMessage(){
    return getMessage(getHausnummerEinzahlMessageKey());
  }

  public String getHausnummerMehrzahlMessage(){
    return getMessage(getHausnummerMehrzahlMessageKey());
  }



  public boolean isHausnummerRequired() {
    return !AnschriftConstants.HAUSNUMMER_NULLABLE;
  }

  public java.lang.String getHausnummerDefaultValue() {
    return AnschriftConstants.HAUSNUMMER_DEFAULT_VALUE;
  }

  public int getHausnummerMaxLength() {
    return AnschriftConstants.HAUSNUMMER_MAX_LENGTH;
  }

  public String getHausnummerzusatzEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_HAUSNUMMERZUSATZ_EINZAHL;
  }

  public String getHausnummerzusatzMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_HAUSNUMMERZUSATZ_MEHRZAHL;
  }


  public String getHausnummerzusatzEinzahlMessage(){
    return getMessage(getHausnummerzusatzEinzahlMessageKey());
  }

  public String getHausnummerzusatzMehrzahlMessage(){
    return getMessage(getHausnummerzusatzMehrzahlMessageKey());
  }



  public boolean isHausnummerzusatzRequired() {
    return !AnschriftConstants.HAUSNUMMERZUSATZ_NULLABLE;
  }

  public java.lang.String getHausnummerzusatzDefaultValue() {
    return AnschriftConstants.HAUSNUMMERZUSATZ_DEFAULT_VALUE;
  }

  public int getHausnummerzusatzMaxLength() {
    return AnschriftConstants.HAUSNUMMERZUSATZ_MAX_LENGTH;
  }

  public String getOrtEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ORT_EINZAHL;
  }

  public String getOrtMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ORT_MEHRZAHL;
  }


  public String getOrtEinzahlMessage(){
    return getMessage(getOrtEinzahlMessageKey());
  }

  public String getOrtMehrzahlMessage(){
    return getMessage(getOrtMehrzahlMessageKey());
  }



  public boolean isOrtRequired() {
    return !AnschriftConstants.ORT_NULLABLE;
  }

  public java.lang.String getOrtDefaultValue() {
    return AnschriftConstants.ORT_DEFAULT_VALUE;
  }

  public int getOrtMaxLength() {
    return AnschriftConstants.ORT_MAX_LENGTH;
  }

  public String getOrtsteilEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ORTSTEIL_EINZAHL;
  }

  public String getOrtsteilMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ORTSTEIL_MEHRZAHL;
  }


  public String getOrtsteilEinzahlMessage(){
    return getMessage(getOrtsteilEinzahlMessageKey());
  }

  public String getOrtsteilMehrzahlMessage(){
    return getMessage(getOrtsteilMehrzahlMessageKey());
  }



  public boolean isOrtsteilRequired() {
    return !AnschriftConstants.ORTSTEIL_NULLABLE;
  }

  public java.lang.String getOrtsteilDefaultValue() {
    return AnschriftConstants.ORTSTEIL_DEFAULT_VALUE;
  }

  public int getOrtsteilMaxLength() {
    return AnschriftConstants.ORTSTEIL_MAX_LENGTH;
  }

  public String getPlzEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_PLZ_EINZAHL;
  }

  public String getPlzMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_PLZ_MEHRZAHL;
  }


  public String getPlzEinzahlMessage(){
    return getMessage(getPlzEinzahlMessageKey());
  }

  public String getPlzMehrzahlMessage(){
    return getMessage(getPlzMehrzahlMessageKey());
  }



  public boolean isPlzRequired() {
    return !AnschriftConstants.PLZ_NULLABLE;
  }

  public java.lang.String getPlzDefaultValue() {
    return AnschriftConstants.PLZ_DEFAULT_VALUE;
  }

  public int getPlzMaxLength() {
    return AnschriftConstants.PLZ_MAX_LENGTH;
  }

  public String getPostfachEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_POSTFACH_EINZAHL;
  }

  public String getPostfachMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_POSTFACH_MEHRZAHL;
  }


  public String getPostfachEinzahlMessage(){
    return getMessage(getPostfachEinzahlMessageKey());
  }

  public String getPostfachMehrzahlMessage(){
    return getMessage(getPostfachMehrzahlMessageKey());
  }



  public boolean isPostfachRequired() {
    return !AnschriftConstants.POSTFACH_NULLABLE;
  }

  public java.lang.String getPostfachDefaultValue() {
    return AnschriftConstants.POSTFACH_DEFAULT_VALUE;
  }

  public int getPostfachMaxLength() {
    return AnschriftConstants.POSTFACH_MAX_LENGTH;
  }

  public String getStaatEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_STAAT_EINZAHL;
  }

  public String getStaatMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_STAAT_MEHRZAHL;
  }


  public String getStaatEinzahlMessage(){
    return getMessage(getStaatEinzahlMessageKey());
  }

  public String getStaatMehrzahlMessage(){
    return getMessage(getStaatMehrzahlMessageKey());
  }



  public boolean isStaatRequired() {
    return !AnschriftConstants.STAAT_NULLABLE;
  }

  public java.lang.String getStaatDefaultValue() {
    return AnschriftConstants.STAAT_DEFAULT_VALUE;
  }

  public int getStaatMaxLength() {
    return AnschriftConstants.STAAT_MAX_LENGTH;
  }

  public String getStrasseEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_STRASSE_EINZAHL;
  }

  public String getStrasseMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_STRASSE_MEHRZAHL;
  }


  public String getStrasseEinzahlMessage(){
    return getMessage(getStrasseEinzahlMessageKey());
  }

  public String getStrasseMehrzahlMessage(){
    return getMessage(getStrasseMehrzahlMessageKey());
  }



  public boolean isStrasseRequired() {
    return !AnschriftConstants.STRASSE_NULLABLE;
  }

  public java.lang.String getStrasseDefaultValue() {
    return AnschriftConstants.STRASSE_DEFAULT_VALUE;
  }

  public int getStrasseMaxLength() {
    return AnschriftConstants.STRASSE_MAX_LENGTH;
  }

  public String getWohnungsnummerEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_WOHNUNGSNUMMER_EINZAHL;
  }

  public String getWohnungsnummerMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_WOHNUNGSNUMMER_MEHRZAHL;
  }


  public String getWohnungsnummerEinzahlMessage(){
    return getMessage(getWohnungsnummerEinzahlMessageKey());
  }

  public String getWohnungsnummerMehrzahlMessage(){
    return getMessage(getWohnungsnummerMehrzahlMessageKey());
  }



  public boolean isWohnungsnummerRequired() {
    return !AnschriftConstants.WOHNUNGSNUMMER_NULLABLE;
  }

  public java.lang.String getWohnungsnummerDefaultValue() {
    return AnschriftConstants.WOHNUNGSNUMMER_DEFAULT_VALUE;
  }

  public int getWohnungsnummerMaxLength() {
    return AnschriftConstants.WOHNUNGSNUMMER_MAX_LENGTH;
  }

  public String getZustellanweisungEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ZUSTELLANWEISUNG_EINZAHL;
  }

  public String getZustellanweisungMehrzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_ZUSTELLANWEISUNG_MEHRZAHL;
  }


  public String getZustellanweisungEinzahlMessage(){
    return getMessage(getZustellanweisungEinzahlMessageKey());
  }

  public String getZustellanweisungMehrzahlMessage(){
    return getMessage(getZustellanweisungMehrzahlMessageKey());
  }



  public boolean isZustellanweisungRequired() {
    return !AnschriftConstants.ZUSTELLANWEISUNG_NULLABLE;
  }

  public java.lang.String getZustellanweisungDefaultValue() {
    return AnschriftConstants.ZUSTELLANWEISUNG_DEFAULT_VALUE;
  }

  public int getZustellanweisungMaxLength() {
    return AnschriftConstants.ZUSTELLANWEISUNG_MAX_LENGTH;
  }


  public String getCustomDataStorageEinzahlMessageKey(){
    return AnschriftConstants.MESSAGE_KEY_CUSTOM_DATA_STORAGE_ID_EINZAHL;
  }

  public String getCustomDataStorageEinzahlMessage(){
    return getMessage(getCustomDataStorageEinzahlMessageKey());
  }

  public boolean isCustomDataStorageRequired() {
    return !AnschriftConstants.CUSTOM_DATA_STORAGE_ID_NULLABLE;
  }

}